---
layout: docs
page_title: targets set-host-sources - Command
description: >-
  The "targets set-host-sources" command sets host sources on target resources.
---

# targets set-host-sources

Command: `targets set-host-sources`

The `targets set-host-sources` command lets you set host sources on target resources.

## Example

This example sets the host source `hsst_1234567890` on a target with the ID `ttcp_1234567890`:

```shell-session
$ boundary targets set-host-sources -id ttcp_1234567890 -host-source hsst_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets set-host-sources [options] [args]
```

</CodeBlockConfig>

### Command options

- `-host-source=<string>` -  The host source you want to set on the target.
You may specify multiple host sources.
- `-id=<string>` - The ID of the target you want to set a host source on.
- `-version=<int>` - The version of the target to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'